=== debian/watch ===
version=3

opts=\
repacksuffix=+dfsg,\
dversionmangle=s/[~+]dfsg\d*$// \
 https://github.com/opencontainers/runc/tags \
 .*/v?(\d[\d\.]*)\.tar\.gz
