=== debian/control ===
--- 
+++ 
@@ -6,13 +6,13 @@
            Dmitry Smirnov <onlyjob@debian.org>
 Build-Depends: debhelper (>= 9),
                dh-golang,
-               help2man,
-    golang-codegangsta-cli-dev,
+    go-md2man,
     golang-dbus-dev,
-    golang-docker-dev,
+#   golang-github-docker-docker-dev,
+    golang-github-codegangsta-cli-dev (>= 0.0~git20151221~),
     golang-github-coreos-go-systemd-dev,
     golang-github-docker-go-units-dev,
-    golang-github-opencontainers-specs-dev,
+    golang-github-opencontainers-specs-dev (>= 0.5.0~),
     golang-github-seccomp-libseccomp-golang-dev,
     golang-github-vishvananda-netlink-dev,
     golang-go,
@@ -20,9 +20,9 @@
     golang-goprotobuf-dev,
     golang-logrus-dev,
     protobuf-compiler
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: https://github.com/opencontainers/runc
-Vcs-Git: https://anonscm.debian.org/pkg-go/packages/runc.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/runc.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/runc.git
 
 Package: runc
@@ -37,18 +37,18 @@
 Package: golang-github-opencontainers-runc-dev
 Architecture: all
 Depends: ${misc:Depends},
-    golang-codegangsta-cli-dev,
     golang-dbus-dev,
-    golang-docker-dev,
+#  "golang-github-docker-docker-dev" is sub-vendored on build-time to avoid circular dependency with Docker.
+#   golang-github-docker-docker-dev,
+    golang-github-codegangsta-cli-dev (>= 0.0~git20151221~),
     golang-github-coreos-go-systemd-dev,
     golang-github-docker-go-units-dev,
-    golang-github-opencontainers-specs-dev,
+    golang-github-opencontainers-specs-dev (>= 0.4.0~),
     golang-github-seccomp-libseccomp-golang-dev,
     golang-github-vishvananda-netlink-dev,
     golang-gocapability-dev | golang-github-syndtr-gocapability-dev,
     golang-goprotobuf-dev,
     golang-logrus-dev
-Built-Using: ${misc:Built-Using}
 Description: Open Container Project - develpoment files
  "runc" is a command line client for running applications packaged according
  to the Open Container Format (OCF) and is a compliant implementation of
