=== debian/rules ===
--- 
+++ 
@@ -15,13 +15,21 @@
 
 override_dh_auto_configure:
 	$(MAKE) -C libcontainer/criurpc
+	cd man && ./md2man-all.sh
 	dh_auto_configure
-	ln -svrf Godeps/_workspace/src/github.com/opencontainers/specs  _build/src/github.com/opencontainers/
+	## Sub-vendor "github.com/docker/docker/pkg" (system lib takes preference over bundled one):
+	mkdir -p _build/src/$(DH_GOPKG)/vendor/github.com/docker/docker
+	if [   -d "/usr/share/gocode/src/github.com/docker/docker/pkg" ]; then \
+            cp -vr /usr/share/gocode/src/github.com/docker/docker/pkg  _build/src/$(DH_GOPKG)/vendor/github.com/docker/docker/ ;\
+        elif [ -d "Godeps/_workspace/src/github.com/docker/docker/pkg" ]; then \
+            cp -vr Godeps/_workspace/src/github.com/docker/docker/pkg  _build/src/$(DH_GOPKG)/vendor/github.com/docker/docker/ ;\
+        fi
+	## Remove extra license files:
+	$(RM) -v \
+            _build/src/$(DH_GOPKG)/vendor/github.com/docker/docker/*/*/LICENSE* \
+        ;
+#	ln -svrf Godeps/_workspace/src/github.com/opencontainers/specs  _build/src/github.com/opencontainers/
 
-override_dh_auto_test: _build/runc.1
+override_dh_auto_test:
 	## Ignoring errors (some tests need network):
 	-dh_auto_test
-
-_build/runc.1:
-	help2man --no-info _build/bin/runc >"$@"
-	[ -s "$@" ] || $(RM) -v "$@"
