## runc 0.1.1+dfsg1

=== debian/changelog ===
runc (0.1.1+dfsg1-2+deb9u3) stretch-security; urgency=high

  * CVE-2021-43784: Fix an issue where an overflow in the Netlink 'bytemsg'
    length field could have allowed an attacker to override Netlink-based
    container configurations. This vulnerability required the attacker to have
    some control over the configuration of the container, but would have
    allowed the attacker to bypass the namespace restrictions of the container
    by simply adding their own Netlink payload which disables all namespaces.

 -- Chris Lamb <lamby@debian.org>  Mon, 06 Dec 2021 14:36:50 -0800

runc (0.1.1+dfsg1-2+deb9u2) stretch-security; urgency=medium

  * Non-maintainer upload by the LTS team.
  * Rebuild with golang-github-seccomp-libseccomp-golang that has
    CVE-2017-18367 fixed.

 -- Adrian Bunk <bunk@debian.org>  Mon, 10 Aug 2020 11:35:05 +0300

runc (0.1.1+dfsg1-2+deb9u1) stretch; urgency=medium

  * Team upload.
  * Add patch to address CVE-2019-5736 (Closes: #922050)

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 19 Mar 2019 00:50:07 +0800

runc (0.1.1+dfsg1-2) unstable; urgency=medium

  * Team upload.
  * Backport patch for CVE-2016-9962 (Closes: #850951)

 -- Tianon Gravi <tianon@debian.org>  Wed, 01 Feb 2017 07:17:54 -0800

runc (0.1.1+dfsg1-1) unstable; urgency=medium

  * New upstream release [June 2016].
  * testworks: disabled privileged and failing tests.
  * Build with "apparmor seccomp" tags (Closes: #830818);
    Build-Depends += "libapparmor-dev".

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 13 Jul 2016 23:00:43 +1000
