=== debian/control ===
--- 
+++ 
@@ -3,7 +3,8 @@
 Priority: extra
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Alexandre Viau <alexandre@alexandreviau.net>,
-           Dmitry Smirnov <onlyjob@debian.org>
+           Dmitry Smirnov <onlyjob@debian.org>,
+           Tim Potter <tpot@hpe.com>
 Build-Depends: debhelper (>= 9),
                dh-golang,
     go-md2man,
@@ -12,13 +13,14 @@
     golang-github-codegangsta-cli-dev (>= 0.0~git20151221~),
     golang-github-coreos-go-systemd-dev,
     golang-github-docker-go-units-dev,
-    golang-github-opencontainers-specs-dev (>= 0.5.0~),
-    golang-github-seccomp-libseccomp-golang-dev,
+    golang-github-opencontainers-specs-dev (>= 1.0.0~),
+    golang-github-seccomp-libseccomp-golang-dev (>= 0.0~git20150813.0.1b506fc-2+deb9u1~),
     golang-github-vishvananda-netlink-dev,
     golang-go,
     golang-gocapability-dev | golang-github-syndtr-gocapability-dev,
     golang-goprotobuf-dev,
     golang-logrus-dev,
+    libapparmor-dev,
     protobuf-compiler
 Standards-Version: 3.9.8
 Homepage: https://github.com/opencontainers/runc
@@ -43,7 +45,7 @@
     golang-github-codegangsta-cli-dev (>= 0.0~git20151221~),
     golang-github-coreos-go-systemd-dev,
     golang-github-docker-go-units-dev,
-    golang-github-opencontainers-specs-dev (>= 0.4.0~),
+    golang-github-opencontainers-specs-dev (>= 1.0.0~),
     golang-github-seccomp-libseccomp-golang-dev,
     golang-github-vishvananda-netlink-dev,
     golang-gocapability-dev | golang-github-syndtr-gocapability-dev,
