## runc 1.0.0~rc1

=== debian/changelog ===
runc (1.0.0~rc1-0ubuntu1) yakkety; urgency=medium

  * Update to 1.0.0-rc1 upstream release
    - remove "lxd--runc-617.patch"; no longer necessary (due to kernel fixes),
      https://github.com/opencontainers/runc/pull/617#issuecomment-223654149
  * Update d/watch to match RCs appropriately

 -- Tianon Gravi <tianon@debian.org>  Wed, 24 Aug 2016 16:29:26 -0700

runc (0.1.1-0ubuntu5) yakkety; urgency=medium

  * Fix "-dev" package Depends, and use vendoring more directly

 -- Tianon Gravi <tianon@debian.org>  Wed, 15 Jun 2016 14:47:50 -0700

runc (0.1.1-0ubuntu4) yakkety; urgency=medium

  * Copy d/patches/lxd--runc-617.patch from docker.io package.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 14 Jun 2016 09:52:08 +1200

runc (0.1.1-0ubuntu3) yakkety; urgency=medium

  * No change rebuild to pick up s390x fixes.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 10 Jun 2016 14:42:08 +1200

runc (0.1.1-0ubuntu2) yakkety; urgency=medium

  * Enable apparmor support.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 09 Jun 2016 20:24:57 +1200

runc (0.1.1-0ubuntu1) yakkety; urgency=medium

  * Use bundled dependencies for Ubuntu
  * Update to 0.1.1 upstream release

 -- Tianon Gravi <tianon@debian.org>  Tue, 07 Jun 2016 14:09:28 -0700
