## runc 1.0.0~rc2

=== debian/changelog ===
runc (1.0.0~rc2-0ubuntu2~16.10.1) yakkety; urgency=medium

  * Backport to Yakkety. (LP: #1655906)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Mon, 30 Jan 2017 12:02:46 +1300

runc (1.0.0~rc2-0ubuntu2) zesty; urgency=medium

  * Add d/patches/0001-nsexec-make-runC-Docker-work-in-unpriv-LXD.patch to fix
    execution in unprivileged containers.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 26 Jan 2017 09:03:23 +1300

runc (1.0.0~rc2-0ubuntu1) zesty; urgency=medium

  * Update to 1.0.0-rc2 upstream release
  * Add patch for CVE-2016-9962 (LP: #1655906)

 -- Tianon Gravi <tianon@debian.org>  Fri, 13 Jan 2017 12:03:21 +1300

runc (1.0.0~rc1-0ubuntu2) zesty; urgency=medium

  [ Tianon Gravi ]
  * Enable seccomp support (LP: #1639407)

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 30 Nov 2016 12:31:01 -0800
