## runc 1.0.0~rc2+docker1.12.6

=== debian/changelog ===
runc (1.0.0~rc2+docker1.12.6-0ubuntu1) zesty; urgency=medium

  * Update to the precise commit included in Docker 1.12.6 (LP: #1675288)

 -- Tianon Gravi <tianon@debian.org>  Fri, 24 Mar 2017 14:26:40 -0700
