## runc 1.0.0~rc2+docker1.13.1

=== debian/changelog ===
runc (1.0.0~rc2+docker1.13.1-0ubuntu1) artful; urgency=medium

  * Update to Docker 1.13.1's commit
    - refresh patches

 -- Tianon Gravi <tianon@debian.org>  Tue, 22 Aug 2017 09:38:26 -0700

runc (1.0.0~rc2+docker1.12.6-0ubuntu2) artful; urgency=low

  * Ignore systemd unified cgroup2 view.  (LP: #1692912)

 -- Andy Whitcroft <apw@ubuntu.com>  Tue, 23 May 2017 12:42:14 +0100
