=== debian/control ===
Source: runc
Section: devel
Priority: extra
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Alexandre Viau <alexandre@alexandreviau.net>,
           Dmitry Smirnov <onlyjob@debian.org>,
           Tim Potter <tpot@hpe.com>
Build-Depends: debhelper (>= 9),
               dh-golang,
    go-md2man,
    golang-dbus-dev,
#   golang-github-docker-docker-dev,
    golang-github-codegangsta-cli-dev (>= 0.0~git20151221~),
    golang-github-coreos-go-systemd-dev,
    golang-github-docker-go-units-dev,
    golang-github-mrunalp-fileutils-dev,
    golang-github-opencontainers-specs-dev (>= 1.0.0~),
    golang-github-seccomp-libseccomp-golang-dev,
    golang-github-vishvananda-netlink-dev,
    golang-go,
    golang-gocapability-dev | golang-github-syndtr-gocapability-dev,
    golang-goprotobuf-dev,
    golang-logrus-dev,
    libapparmor-dev,
    protobuf-compiler
Standards-Version: 3.9.8
Homepage: https://github.com/opencontainers/runc
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/runc.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/runc.git

Package: runc
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: docker.io (<< 1.12)
Built-Using: ${misc:Built-Using}
Description: Open Container Project - runtime
 "runc" is a command line client for running applications packaged according
 to the Open Container Format (OCF) and is a compliant implementation of
 the Open Container Project specification.

Package: golang-github-opencontainers-runc-dev
Architecture: all
Depends: ${misc:Depends},
    golang-dbus-dev,
#  "golang-github-docker-docker-dev" is sub-vendored on build-time to avoid circular dependency with Docker.
#   golang-github-docker-docker-dev,
    golang-github-codegangsta-cli-dev (>= 0.0~git20151221~),
    golang-github-coreos-go-systemd-dev,
    golang-github-docker-go-units-dev,
    golang-github-opencontainers-specs-dev (>= 1.0.0~),
    golang-github-seccomp-libseccomp-golang-dev,
    golang-github-vishvananda-netlink-dev,
    golang-gocapability-dev | golang-github-syndtr-gocapability-dev,
    golang-goprotobuf-dev,
    golang-logrus-dev
Description: Open Container Project - develpoment files
 "runc" is a command line client for running applications packaged according
 to the Open Container Format (OCF) and is a compliant implementation of
 the Open Container Project specification.
 .
 This package provides development files formerly known as
 "github.com/docker/libcontainer".
