=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DH_GOPKG := github.com/opencontainers/runc
export DH_GOLANG_INSTALL_EXTRA := libcontainer/seccomp/fixtures
TAGS=apparmor seccomp

%:
	dh $@ --buildsystem=golang --with=golang --builddirectory=_build

override_dh_clean:
	dh_clean
	## Remove Files-Excluded (when built from checkout or non-DFSG tarball):
	$(RM) -rv `perl -0nE 'say $$1 if m{^Files\-Excluded\:\s*(.*?)(?:\n\n|Files:|Comment:)}sm;' debian/copyright`

override_dh_auto_configure:
	$(MAKE) -C libcontainer/criurpc
	cd man && ./md2man-all.sh
	dh_auto_configure
	## Sub-vendor "github.com/docker/docker/pkg" (system lib takes preference over bundled one):
	mkdir -p _build/src/$(DH_GOPKG)/vendor/github.com/docker/docker
	if [   -d "/usr/share/gocode/src/github.com/docker/docker/pkg" ]; then \
            cp -vr /usr/share/gocode/src/github.com/docker/docker/pkg  _build/src/$(DH_GOPKG)/vendor/github.com/docker/docker/ ;\
        elif [ -d "Godeps/_workspace/src/github.com/docker/docker/pkg" ]; then \
            cp -vr Godeps/_workspace/src/github.com/docker/docker/pkg  _build/src/$(DH_GOPKG)/vendor/github.com/docker/docker/ ;\
        fi
	## Remove extra license files:
	$(RM) -v \
            _build/src/$(DH_GOPKG)/vendor/github.com/docker/docker/*/*/LICENSE* \
        ;
#	ln -svrf Godeps/_workspace/src/github.com/opencontainers/specs  _build/src/github.com/opencontainers/

override_dh_auto_build:
	dh_auto_build -- -tags "$(TAGS)"

override_dh_auto_test:
	-dh_auto_test -- -tags "$(TAGS)"
