=== debian/control ===
Source: runc
Section: devel
Priority: extra
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Alexandre Viau <aviau@debian.org>,
           Tim Potter <tpot@hpe.com>
Build-Depends: debhelper (>= 9),
               dh-golang,
               go-md2man,
               golang-any,
               golang-dbus-dev,
               golang-github-codegangsta-cli-dev (>= 0.0~git20151221~),
               golang-github-coreos-go-systemd-dev,
               golang-github-coreos-pkg-dev,
#              golang-github-docker-docker-dev,
               golang-github-docker-go-units-dev,
               golang-github-mrunalp-fileutils-dev,
               golang-github-opencontainers-selinux-dev,
               golang-github-opencontainers-specs-dev (>= 1.0.0-0~),
               golang-github-seccomp-libseccomp-golang-dev,
               golang-github-vishvananda-netlink-dev,
               golang-gocapability-dev | golang-github-syndtr-gocapability-dev,
               golang-golang-x-sys-dev (>=0.0~git20170727.0.35ef448-1~),
               golang-goprotobuf-dev,
               golang-logrus-dev,
               libapparmor-dev,
               protobuf-compiler
Standards-Version: 3.9.8
Homepage: https://github.com/opencontainers/runc
Vcs-Git: https://salsa.debian.org/go-team/packages/runc.git
Vcs-Browser: https://salsa.debian.org/go-team/packages/runc

Package: runc
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: docker.io (<= 1.13.1~ds1-2)
Built-Using: ${misc:Built-Using}
Description: Open Container Project - runtime
 "runc" is a command line client for running applications packaged according
 to the Open Container Format (OCF) and is a compliant implementation of
 the Open Container Project specification.

Package: golang-github-opencontainers-runc-dev
Architecture: all
Depends: golang-dbus-dev,
         golang-github-codegangsta-cli-dev (>= 0.0~git20151221~),
         golang-github-coreos-go-systemd-dev,
         golang-github-coreos-pkg-dev,
#        "golang-github-docker-docker-dev" is sub-vendored on build-time to avoid circular dependency with Docker.
#        golang-github-docker-docker-dev,
         golang-github-docker-go-units-dev,
         golang-github-opencontainers-selinux-dev,
         golang-github-opencontainers-specs-dev (>= 1.0.0-0~),
         golang-github-seccomp-libseccomp-golang-dev,
         golang-github-vishvananda-netlink-dev,
         golang-gocapability-dev | golang-github-syndtr-gocapability-dev,
         golang-golang-x-sys-dev (>=0.0~git20170727.0.35ef448-1~),
         golang-goprotobuf-dev,
         golang-logrus-dev,
         ${misc:Depends}
Description: Open Container Project - development files
 "runc" is a command line client for running applications packaged according
 to the Open Container Format (OCF) and is a compliant implementation of
 the Open Container Project specification.
 .
 This package provides development files formerly known as
 "github.com/docker/libcontainer".
