=== debian/rules ===
--- 
+++ 
@@ -23,14 +23,14 @@
 	mkdir -p _build/src/$(DH_GOPKG)/vendor/github.com/docker/docker
 	if [   -d "/usr/share/gocode/src/github.com/docker/docker/pkg" ]; then \
             cp -vr /usr/share/gocode/src/github.com/docker/docker/pkg  _build/src/$(DH_GOPKG)/vendor/github.com/docker/docker/ ;\
-        elif [ -d "Godeps/_workspace/src/github.com/docker/docker/pkg" ]; then \
-            cp -vr Godeps/_workspace/src/github.com/docker/docker/pkg  _build/src/$(DH_GOPKG)/vendor/github.com/docker/docker/ ;\
+        elif [ -d "vendor/github.com/docker/docker/pkg" ]; then \
+            cp -vr vendor/github.com/docker/docker/pkg  _build/src/$(DH_GOPKG)/vendor/github.com/docker/docker/ ;\
         fi
 	## Remove extra license files:
 	$(RM) -v \
             _build/src/$(DH_GOPKG)/vendor/github.com/docker/docker/*/*/LICENSE* \
         ;
-#	ln -svrf Godeps/_workspace/src/github.com/opencontainers/specs  _build/src/github.com/opencontainers/
+#	ln -svrf vendor/github.com/opencontainers/specs  _build/src/github.com/opencontainers/
 
 override_dh_auto_build:
 	dh_auto_build -- -tags "$(TAGS)"
